summaryrefslogtreecommitdiff
path: root/misc/openwrt
diff options
context:
space:
mode:
authorEvgeny Zinoviev <me@ch1p.io>2023-03-23 07:35:02 +0300
committerEvgeny Zinoviev <me@ch1p.io>2023-03-23 07:35:02 +0300
commitbe3701c55807336b9145994e621680f384090cbf (patch)
tree8c7c679873d519e9030dff4ff980d1ec3974a881 /misc/openwrt
parent5e0d6a17ebfe7f008c53712d679a0b1bc090bcdc (diff)
openwrt utils upd
Diffstat (limited to 'misc/openwrt')
-rw-r--r--misc/openwrt/setup-routing.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/misc/openwrt/setup-routing.sh b/misc/openwrt/setup-routing.sh
new file mode 100644
index 0000000..97af514
--- /dev/null
+++ b/misc/openwrt/setup-routing.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+list_ipset() {
+ skip=1
+ while read -r line; do
+ if [ "$line" = "Members:" ]; then skip=0; continue; fi;
+ [ "$skip" = "1" ] && continue
+ echo "$line"
+ done
+}
+
+case "$1" in
+ dhcp-leases)
+ cat /tmp/dhcp.leases
+ ;;
+
+ ipset-add)
+ ipset add "$2" "$3"
+ ;;
+
+ ipset-del)
+ ipset del "$2" "$3"
+ ;;
+
+# ipset_list)
+# ipset list "$2" | list_ipset
+# ;;
+
+ ipset-list-all)
+ shift
+ while [ -n "$1" ]; do
+ echo ">$1"
+ skip=1
+ ipset list "$1" | list_ipset
+ shift
+ done
+ ;;
+
+# rule-show)
+# ;;
+#
+# route-show)
+# ;;
+
+ *)
+ 2>&1 echo "error: invalid command"
+ exit 1
+ ;;
+esac \ No newline at end of file